- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Namespaces | Functions
cuda.h File Reference
`#include <af/defines.h>`
`#include <af/exception.h>`
`#include <cuda.h>`
`#include <cuda_runtime.h>`

Go to the source code of this file.

## Namespaces
| afcu

## Functions
AFAPI af_err | afcu_get_stream (cudaStream_t *stream, int id)
| Get the stream for the CUDA device with `id` in ArrayFire context. More...
AFAPI af_err | afcu_get_native_id (int *nativeid, int id)
| Get the native device id of the CUDA device with `id` in ArrayFire context. More...
static cudaStream_t | getStream (int id)
| Get the stream for the CUDA device with `id` in ArrayFire context. More...
static int | getNativeId (int id)
| Get the native device id of the CUDA device with `id` in ArrayFire context. More...